Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.bpm
Class ProcessConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.bpm.ProcessConnector

All Implemented Interfaces:
  EventListener, javax.resource.spi.work.WorkListener, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, NamedObject, Connectable, Connector, MessageService

Direct Known Subclasses:
  JBpmConnector

Deprecated. It is recommended to configure BPM as a component rather than a transport for 3.x

    public class ProcessConnector

extends AbstractConnector
implements MessageService

The BPM provider allows Mule events to initiate and/or advance processes in an external or embedded Business Process Management System (BPMS). It also allows executing processes to generate Mule events.

Field Summary
`protected boolean` | `allowGlobalReceiver` Deprecated. The global receiver allows an endpoint of type "bpm://*" to receive any incoming message to the BPMS, regardless of the process.
`protected BPMS` | `bpms` Deprecated. The underlying BPMS
`static String` | `GLOBAL_RECEIVER` Deprecated.
`protected String` | `processIdField` Deprecated. This field will be used to correlate messages with processes.
`static String` | `PROTOCOL` Deprecated.

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatcherPoolFactory, dispatchers, initialStateStopped, lifecycleManager, logger, muleContext, muleMessageFactory, name, numberOfConcurrentTransactedReceivers, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`ProcessConnector(MuleContext context)` Deprecated.

Method Summary
`protected BPMS` | `createBpms()` Deprecated. Override this method to create the BPMS upon initialization of the connector.
`protected void` | `doConnect()` Deprecated. Template method where any connections should be made for the connector
`protected void` | `doDisconnect()` Deprecated. Template method where any connected resources used by the connector should be disconnected
`protected void` | `doDispose()` Deprecated. Template method to perform any work when destroying the connectoe
`protected void` | `doInitialise()` Deprecated.
`protected void` | `doStart()` Deprecated. Template method to perform any work when starting the connectoe
`protected void` | `doStop()` Deprecated. Template method to perform any work when stopping the connectoe
`MuleMessage` | `generateMessage(String endpoint, Object payloadObject, Map messageProperties, MessageExchangePattern mep)` Deprecated.
`BPMS` | `getBpms()` Deprecated.
`MuleClient` | `getMuleClient()` Deprecated.
`String` | `getProcessIdField()` Deprecated.
`String` | `getProtocol()` Deprecated.
`boolean` | `isAllowGlobalReceiver()` Deprecated.
`ProcessMessageReceiver` | `lookupReceiver(String processName, Object processId)` Deprecated. This method looks for a receiver based on the process name and ID.
`void` | `setAllowGlobalReceiver(boolean allowGlobalReceiver)` Deprecated.
`void` | `setBpms(BPMS bpms)` Deprecated.
`void` | `setProcessIdField(String processIdField)` Deprecated.
`String` | `toUrl(String processName, Object processId)` Deprecated. Generate a URL based on the process name and ID such as "bpm://myProcess/2342" If the parameters are missing, and `allowGlobalReceiver` is true, the GLOBAL_RECEIVER is returned.

Methods inherited from class org.mule.transport.AbstractConnector
`clearDispatchers, clearRequesters, configureDispatcherPool, connect, createDispatcherMessageProcessor, createMuleMessageFactory, createReceiver, createScheduler, destroyReceiver, disconnect, dispose, disposeReceivers, disposeWorkManagers, doUnregisterListener, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultExchangePattern, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherPoolFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getInboundExchangePatterns, getLifecycleState, getMaxDispatchersActive, getMaxRequestersActive, getMaxTotalDispatchers, getMuleContext, getMuleMessageFactory, getName, getNumberOfConcurrentTransactedReceivers, getOutboundExchangePatterns, getOutputStream, getReceiver, getReceiverKey, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getReplyToHandler, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isInitialised, isInitialStateStopped, isResponseEnabled, isStarted, isStopped, isValidateConnections, lookupReceiver, registerListener, registerSupportedMetaProtocol, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherPoolFactory, setDispatcherPoolMaxWait, setDispatcherPoolWhenExhaustedAction, setDispatcherThreadingProfile, setDynamicNotification, setInitialStateStopped, setMaxDispatchersActive, setMaxRequestersActive, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterPoolMaxWait, setRequesterPoolWhenExhaustedAction, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, shutdownScheduler, start, startAfterConnect, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bpms

    protected BPMS bpms

  Deprecated.
  The underlying BPMS

### processIdField

    protected String processIdField

  Deprecated.
  This field will be used to correlate messages with processes.

### allowGlobalReceiver

    protected boolean allowGlobalReceiver

  Deprecated.
  The global receiver allows an endpoint of type "bpm://*" to receive any incoming message to the BPMS, regardless of the process. If this is false, the process name must be specified for each endpoint, e.g. "bpm://MyProcess" will only receive messages for the process "MyProcess".

### PROTOCOL

    public static final String PROTOCOL

  Deprecated.
  See Also:
    Constant Field Values

### GLOBAL_RECEIVER

    public static final String GLOBAL_RECEIVER

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### ProcessConnector

    public ProcessConnector(MuleContext context)

  Deprecated.

Method Detail

### getProtocol

    public String getProtocol()

  Deprecated.
  Specified by:
    `getProtocol` in interface `Connector`
  Returns:
    the primary protocol name for endpoints of this connector

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Deprecated.
  Specified by:
    `doInitialise` in class `AbstractConnector`
  Throws:
    `InitialisationException`

### createBpms

    protected BPMS createBpms()
                       throws Exception

  Deprecated.
  Override this method to create the BPMS upon initialization of the connector.

  Returns:
    an initialized BPMS
  Throws:
    `Exception`

### doDispose

    protected void doDispose()

  Deprecated.
  Description copied from class: `AbstractConnector`
  Template method to perform any work when destroying the connectoe

  Specified by:
    `doDispose` in class `AbstractConnector`

### doConnect

    protected void doConnect()
                      throws Exception

  Deprecated.
  Description copied from class: `AbstractConnector`
  Template method where any connections should be made for the connector

  Specified by:
    `doConnect` in class `AbstractConnector`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Deprecated.
  Description copied from class: `AbstractConnector`
  Template method where any connected resources used by the connector should be disconnected

  Specified by:
    `doDisconnect` in class `AbstractConnector`
  Throws:
    `Exception`

### doStart

    protected void doStart()
                    throws MuleException

  Deprecated.
  Description copied from class: `AbstractConnector`
  Template method to perform any work when starting the connectoe

  Specified by:
    `doStart` in class `AbstractConnector`
  Throws:
    `MuleException` - if the method fails

### doStop

    protected void doStop()
                   throws MuleException

  Deprecated.
  Description copied from class: `AbstractConnector`
  Template method to perform any work when stopping the connectoe

  Specified by:
    `doStop` in class `AbstractConnector`
  Throws:
    `MuleException` - if the method fails

### lookupReceiver

    public ProcessMessageReceiver lookupReceiver(String processName,
                                                 Object processId)

  Deprecated.
  This method looks for a receiver based on the process name and ID. It searches iteratively from the narrowest scope (match process name and ID) to the widest scope (match neither - global receiver) possible.

  Returns:
    ProcessMessageReceiver or null if no match is found

### toUrl

    public String toUrl(String processName,
                        Object processId)

  Deprecated.
  Generate a URL based on the process name and ID such as "bpm://myProcess/2342" If the parameters are missing, and `allowGlobalReceiver` is true, the GLOBAL_RECEIVER is returned.

### generateMessage

    public MuleMessage generateMessage(String endpoint,
                                       Object payloadObject,
                                       Map messageProperties,
                                       MessageExchangePattern mep)
                                throws Exception

  Deprecated.
  Specified by:
    `generateMessage` in interface `MessageService`
  Throws:
    `Exception`

### getBpms

    public BPMS getBpms()

  Deprecated.

### setBpms

    public void setBpms(BPMS bpms)

  Deprecated.

### getMuleClient

    public MuleClient getMuleClient()

  Deprecated.

### isAllowGlobalReceiver

    public boolean isAllowGlobalReceiver()

  Deprecated.

### setAllowGlobalReceiver

    public void setAllowGlobalReceiver(boolean allowGlobalReceiver)

  Deprecated.

### getProcessIdField

    public String getProcessIdField()

  Deprecated.

### setProcessIdField

    public void setProcessIdField(String processIdField)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.